/*************************************************************************
ColorSafe 1.0 Beta - http://www.woven-media.com/

A Java 6 Swing application for color testing and conversions from RGB to
hexadecimal data formats and vice versa.

Copyright (C) 2008-2009, Brent Allen Parrish <info@woven-media.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

NOTE: LICENSE file located in the directory where ColorSafe is installed.
************************************************************************/
package com.woven_media.colorsafe;

/**
 * IPalette interface defines constants for color palettes, such as number of
 * colors in a palette, the palette title and its enumeration.
 *
 * @author  Brent Allen Parrish
 * @version %I%, %G%
 * @since   1.0
 */
public interface IPalette
{
    // palette titles
    public static final String NETSCAPE_TITLE =      "Browser Safe Palette";
    public static final String WINDOWS_TITLE =       "Windows System Palette";
    public static final String WINDOWS_GRAYS_TITLE = "Windows 256 Grays Palette";
    public static final String NAMED_COLORS_TITLE =  "Named Colors Palette";
    public static final String GRAYSCALE_TITLE =     "Grayscale Palette";
    public static final String X11_TITLE =           "X11 Colors Palette";
    // palette enumeration
    public static final int NETSCAPE_PALETTE =      1;
    public static final int WINDOWS_PALETTE =       2;
    public static final int WINDOWS_GRAYS_PALETTE = 3;
    public static final int NAMED_COLORS_PALETTE =  4;
    public static final int GRAYSCALE_PALETTE =     5;
    public static final int X11_PALETTE = 6;
    // number of colors in palette
    public static final int NETSCAPE_NUM_COLORS =  216;
    public static final int WIN_NUM_COLORS =       216;
    public static final int WIN_GRAYS_NUM_COLORS = 256;
    public static final int NAMED_NUM_COLORS =     140;
    public static final int GRAYSCALE_NUM_COLORS = 256;
    public static final int X11_NUM_COLORS =       140;
    // color chooser selection constants
    public static final int RGB_VAL = 1;
    public static final int HEX_VAL = 2;
    public static final int BG_VAL =  3;
}